<template>
    <div class="specify-mail"
         :class="header !== 'slot' && $interface.viewport === 'desktop' || $interface.viewport === 'laptop' ? 'specify-mail__file' : ''">
        <div class="specify-mail__wrapper">
            <div class="specify-mail__header">
                <slot v-if="header === 'slot'" name="header"></slot>
                <div class="specify-mail__header-title-description-with-icon"
                     v-else-if="header === 'check'">
                    <SVGIcon class="specify-mail__header-title-icon" viewBox="0 0 50 50" xlink="icon-cash-check"/>
                    <div class="specify-mail__header-text-wrapper">
                        <div class="specify-mail__header-title-with-icon">Чек за услугу</div>
                        <div class="specify-mail__header-subtitle-with-icon">скачать в HTML</div>
                    </div>
                </div>
                <a class="specify-mail__header-title-description-with-icon"
                   v-else-if="header === 'rating'"
                   :href="`/api/creditrating/creditrating/pdf?guid=${ratingData.guid}`"
                   :download="`Webbankir - кредитный рейтинг - ${ratingData.date}.pdf`"
                >
                    <SVGIcon class="specify-mail__header-title-icon" viewBox="0 0 50 50" xlink="pdf-download-icon"/>
                    <div class="specify-mail__header-text-wrapper">
                        <div class="specify-mail__header-title-with-icon">Кредитный рейтинг</div>
                        <!--<button class="marg-b-50 specify-mail__download-pdf-button" v-on:click="$emit('nextStep')">Скачать отчет в PDF</button>-->
                        <div class="specify-mail__header-subtitle-with-icon">Скачать отчет в PDF</div>
                    </div>
                </a>
            </div>
        </div>
    </div>
</template>

<script>
    import SVGIcon from "../../../components/SVGIcon/index";

    export default {
        name: "SpecifyMail",
        components: {SVGIcon},
        props: {
			header: {
				type: String,
            },
			ratingData: {
			    type: Object,
                required: true,
            },
        },
    }
</script>

<style lang="scss" scoped>
    .specify-mail__download-pdf-button {
        margin-bottom: 0;
        margin-top: 10px;
    }
    .specify-mail__header {
        border-bottom: none;
    }
    .specify-mail__header-text-wrapper {
        align-items: flex-start;
    }
    .specify-mail__header-title-description-with-icon {
        text-decoration: none;
    }
</style>
